#!/bin/sh

echo "# id & t_end & a_beg & a_end & e_end & i_end & m_end" > deltaa.out

I=1
while [ $I -le 5 ] ; do
  echo $I
  O=`echo $I | awk '{ printf("%03d", $1); }'`
  ln -sf nbody.orbits.dat_$I nbody.orbits.tmp

  TEND=`tail -1 nbody.orbits.tmp | awk '{ print $2; }'`
  ABEG=`head -1 nbody.orbits.tmp | awk '{ print $3; }'`
  AEND=`tail -1 nbody.orbits.tmp | awk '{ print $3; }'`
  EEND=`tail -1 nbody.orbits.tmp | awk '{ print $4; }'`
  IEND=`tail -1 nbody.orbits.tmp | awk '{ print $5; }'`
  MEND=`tail -1 nbody.orbits.tmp | awk '{ print $9; }'`
  
  echo "$I	$TEND	$ABEG	$AEND	$EEND	$IEND	$MEND" >> deltaa.out

  I=`expr $I + 1`
done

./deltaa.plt

