#!/bin/sh

echo "# id & a_beg & da/dt & m_end" > dadt.out

I=1
while [ $I -le 28 ] ; do
  echo $I
  O=`echo $I | awk '{ printf("%03d", $1); }'`
  ln -sf nbody.orbits.dat_$I nbody.orbits.tmp

  ./dadt.plt 2> dadt.txt

  ABEG=`head -1 nbody.orbits.tmp | awk '{ print $3; }'`
  DADT=`awk '/b = /{ print $3; }' dadt.txt`
  MEND=`tail -1 nbody.orbits.tmp | awk '{ print $9; }'`
  
  echo "$I	$ABEG	$DADT	$MEND" >> dadt.out
  mv dadt.png dadt_$O.png

  I=`expr $I + 1`
done

./dadt2.plt
qiv dadt_*.png

