#!/usr/bin/gawk -f

BEGIN{
  CONVFMT="%.16e";
}
(FNR==1){
  t0 = $2;
  for (i=1; i<=NF; i++) {
    v0[i] = $i;
  }
}
(FNR>1){
  id = $1;
  t1 = $2;
  for (i=1; i<=NF; i++) {
    v1[i] = $i;
  }
  dt = t1-t0;

  if (dt > 0.0) {
    printf id "	" 0.5*(t0+t1);
    for (i=3; i<=NF; i++) {
      printf "	" (v1[i]-v0[i])/dt;
    }
    print "";
  }

  t0 = t1;
  for (i=1; i<=NF; i++) {
    v0[i] = v1[i];
  }
}


