#!/usr/bin/awk -f

BEGIN{
  M_S = 1.989e30;
  M_E = 5.972e24;

  m = ARGV[1]*M_E/M_S;
  delta = ARGV[2]*M_E/M_S;

  ARGV[1]=ARGV[2]="";
  i=0;
}
/^#/ && (i==0){
  print;
  i++;
}
!/^#/ && (abs($2-m)<delta) {
  print;
}

func abs(x) {
  if (x > 0) {
    return x;
  } else {
    return -x;
  }
}

